#78397 Report by node esdhcp-022 covering 1387 tests from 39 modules resulted into 4 errors

Report

ObsPy Version
1.0.3
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
975.7 sec
Report Date/Time
2017-04-18 21:47:21

System / Python

Architecture
64bit
Machine
x86_64
Node
esdhcp-022
Processor
x86_64
Python Compiler
GCC 6.3.1 20161221 (Red Hat 6.3.1-1)
Python Implementation
CPython
Python Version
3.5.3
Release
4.9.13-101.fc24.x86_64
System
Linux
Version
#1 SMP Tue Mar 7 23:48:32 UTC 2017

Dependencies

cartopy
---
decorator
4.0.11
flake8
---
future
0.16.0
geographiclib
---
lxml.etree
3.7.2
m2crypto
---
matplotlib
1.5.2rc2
mock
2.0.0
mpl_toolkits.basemap
1.0.7
numpy
1.11.0
osgeo.gdal
---
pep8-naming
---
pyflakes
---
pyimgur
---
pyproj
---
requests
2.10.0
scipy
0.16.1
setuptools
20.1.1
sqlalchemy
1.0.17

Modules (39)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem 1 1
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 2 2 3
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.datamark - -
obspy.io.gse2 - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.sac - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal 1 4
obspy.taup - -
Summary 4 4

Tracebacks (4)

Traceback (most recent call last):
File "/usr/lib64/python3.5/site-packages/obspy/clients/filesystem/tests/test_sds.py", line 210, in test_sds_report
self.assertIsNotNone(re.match(expected_line, got_line))
AssertionError: unexpectedly None
Traceback (most recent call last):
File "/usr/lib64/python3.5/doctest.py", line 2190, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.core.stream.read
File "/usr/lib64/python3.5/site-packages/obspy/core/stream.py", line 1, in read
----------------------------------------------------------------------
File "/usr/lib64/python3.5/site-packages/obspy/core/stream.py", line 137, in obspy.core.stream.read
Failed example:
st = read("https://examples.obspy.org/loc_RJOB20050831023349.z")
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 578, in urlopen
chunked=chunked)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 351, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 814, in _validate_conn
conn.connect()
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connection.py", line 289, in connect
ssl_version=resolved_ssl_version)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/util/ssl_.py", line 308, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib64/python3.5/ssl.py", line 385, in wrap_socket
_context=self)
File "/usr/lib64/python3.5/ssl.py", line 760, in __init__
self.do_handshake()
File "/usr/lib64/python3.5/ssl.py", line 996, in do_handshake
self._sslobj.do_handshake()
File "/usr/lib64/python3.5/ssl.py", line 641, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:720)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/requests/adapters.py", line 403, in send
timeout=timeout
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 604, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:720)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib64/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[10]>", line 1, in <module>
st = read("https://examples.obspy.org/loc_RJOB20050831023349.z")
File "<decorator-gen-43>", line 2, in read
File "/usr/lib64/python3.5/site-packages/obspy/core/util/decorator.py", line 298, in _map_example_filename
return func(*args, **kwargs)
File "/usr/lib64/python3.5/site-packages/obspy/core/stream.py", line 224, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/usr/lib64/python3.5/site-packages/obspy/core/util/base.py", line 597, in download_to_file
r = requests.get(url, stream=True)
File "/usr/lib/python3.5/site-packages/requests/api.py", line 71, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/api.py", line 57, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/sessions.py", line 475, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.5/site-packages/requests/sessions.py", line 585, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/adapters.py", line 477, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:720)
----------------------------------------------------------------------
File "/usr/lib64/python3.5/site-packages/obspy/core/stream.py", line 150, in obspy.core.stream.read
Failed example:
st = read("https://examples.obspy.org/slist.ascii.bz2")
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 578, in urlopen
chunked=chunked)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 351, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 814, in _validate_conn
conn.connect()
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connection.py", line 289, in connect
ssl_version=resolved_ssl_version)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/util/ssl_.py", line 308, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib64/python3.5/ssl.py", line 385, in wrap_socket
_context=self)
File "/usr/lib64/python3.5/ssl.py", line 760, in __init__
self.do_handshake()
File "/usr/lib64/python3.5/ssl.py", line 996, in do_handshake
self._sslobj.do_handshake()
File "/usr/lib64/python3.5/ssl.py", line 641, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:720)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/requests/adapters.py", line 403, in send
timeout=timeout
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 604, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:720)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib64/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[15]>", line 1, in <module>
st = read("https://examples.obspy.org/slist.ascii.bz2")
File "<decorator-gen-43>", line 2, in read
File "/usr/lib64/python3.5/site-packages/obspy/core/util/decorator.py", line 298, in _map_example_filename
return func(*args, **kwargs)
File "/usr/lib64/python3.5/site-packages/obspy/core/stream.py", line 224, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/usr/lib64/python3.5/site-packages/obspy/core/util/base.py", line 597, in download_to_file
r = requests.get(url, stream=True)
File "/usr/lib/python3.5/site-packages/requests/api.py", line 71, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/api.py", line 57, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/sessions.py", line 475, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.5/site-packages/requests/sessions.py", line 585, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/adapters.py", line 477, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:720)
----------------------------------------------------------------------
File "/usr/lib64/python3.5/site-packages/obspy/core/stream.py", line 160, in obspy.core.stream.read
Failed example:
stringio_obj = io.BytesIO(requests.get(example_url).content)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 578, in urlopen
chunked=chunked)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 351, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 814, in _validate_conn
conn.connect()
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connection.py", line 289, in connect
ssl_version=resolved_ssl_version)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/util/ssl_.py", line 308, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib64/python3.5/ssl.py", line 385, in wrap_socket
_context=self)
File "/usr/lib64/python3.5/ssl.py", line 760, in __init__
self.do_handshake()
File "/usr/lib64/python3.5/ssl.py", line 996, in do_handshake
self._sslobj.do_handshake()
File "/usr/lib64/python3.5/ssl.py", line 641, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:720)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/requests/adapters.py", line 403, in send
timeout=timeout
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 604, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:720)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib64/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[20]>", line 1, in <module>
stringio_obj = io.BytesIO(requests.get(example_url).content)
File "/usr/lib/python3.5/site-packages/requests/api.py", line 71, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/api.py", line 57, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/sessions.py", line 475, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.5/site-packages/requests/sessions.py", line 585, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/adapters.py", line 477, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:720)
----------------------------------------------------------------------
File "/usr/lib64/python3.5/site-packages/obspy/core/stream.py", line 161, in obspy.core.stream.read
Failed example:
st = read(stringio_obj)
Exception raised:
Traceback (most recent call last):
File "/usr/lib64/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[21]>", line 1, in <module>
st = read(stringio_obj)
NameError: name 'stringio_obj' is not defined
----------------------------------------------------------------------
File "/usr/lib64/python3.5/site-packages/obspy/core/stream.py", line 162, in obspy.core.stream.read
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
1 Trace(s) in Stream:
.RJOB..Z | 2005-08-31T02:33:49.850000Z - ... | 200.0 Hz, 12000 samples
Got:
1 Trace(s) in Stream:
XX.TEST..BHZ | 2008-01-15T00:00:00.025000Z - 2008-01-15T00:00:15.875000Z | 40.0 Hz, 635 samples
----------------------------------------------------------------------
File "/usr/lib64/python3.5/site-packages/obspy/core/stream.py", line 170, in obspy.core.stream.read
Failed example:
st = read("https://examples.obspy.org/loc_RJOB20050831023349.z",
starttime=dt, endtime=dt+10)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 578, in urlopen
chunked=chunked)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 351, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 814, in _validate_conn
conn.connect()
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connection.py", line 289, in connect
ssl_version=resolved_ssl_version)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/util/ssl_.py", line 308, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib64/python3.5/ssl.py", line 385, in wrap_socket
_context=self)
File "/usr/lib64/python3.5/ssl.py", line 760, in __init__
self.do_handshake()
File "/usr/lib64/python3.5/ssl.py", line 996, in do_handshake
self._sslobj.do_handshake()
File "/usr/lib64/python3.5/ssl.py", line 641, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:720)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/requests/adapters.py", line 403, in send
timeout=timeout
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 604, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:720)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib64/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[25]>", line 2, in <module>
starttime=dt, endtime=dt+10)
File "<decorator-gen-43>", line 2, in read
File "/usr/lib64/python3.5/site-packages/obspy/core/util/decorator.py", line 298, in _map_example_filename
return func(*args, **kwargs)
File "/usr/lib64/python3.5/site-packages/obspy/core/stream.py", line 224, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/usr/lib64/python3.5/site-packages/obspy/core/util/base.py", line 597, in download_to_file
r = requests.get(url, stream=True)
File "/usr/lib/python3.5/site-packages/requests/api.py", line 71, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/api.py", line 57, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/sessions.py", line 475, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.5/site-packages/requests/sessions.py", line 585, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/adapters.py", line 477, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:720)
----------------------------------------------------------------------
File "/usr/lib64/python3.5/site-packages/obspy/core/stream.py", line 172, in obspy.core.stream.read
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
1 Trace(s) in Stream:
.RJOB..Z | 2005-08-31T02:34:00.000000Z - ... | 200.0 Hz, 2001 samples
Got:
1 Trace(s) in Stream:
XX.TEST..BHZ | 2008-01-15T00:00:00.025000Z - 2008-01-15T00:00:15.875000Z | 40.0 Hz, 635 samples
Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 578, in urlopen
chunked=chunked)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 351, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 814, in _validate_conn
conn.connect()
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connection.py", line 289, in connect
ssl_version=resolved_ssl_version)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/util/ssl_.py", line 308, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib64/python3.5/ssl.py", line 385, in wrap_socket
_context=self)
File "/usr/lib64/python3.5/ssl.py", line 760, in __init__
self.do_handshake()
File "/usr/lib64/python3.5/ssl.py", line 996, in do_handshake
self._sslobj.do_handshake()
File "/usr/lib64/python3.5/ssl.py", line 641, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:720)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/requests/adapters.py", line 403, in send
timeout=timeout
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 604, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:720)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib64/python3.5/site-packages/obspy/core/tests/test_stream.py", line 1761, in test_read_url_via_network
tr = read('https://examples.obspy.org/test.sac', dtype=np.int32)[0]
File "<decorator-gen-43>", line 2, in read
File "/usr/lib64/python3.5/site-packages/obspy/core/util/decorator.py", line 298, in _map_example_filename
return func(*args, **kwargs)
File "/usr/lib64/python3.5/site-packages/obspy/core/stream.py", line 224, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/usr/lib64/python3.5/site-packages/obspy/core/util/base.py", line 597, in download_to_file
r = requests.get(url, stream=True)
File "/usr/lib/python3.5/site-packages/requests/api.py", line 71, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/api.py", line 57, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/sessions.py", line 475, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.5/site-packages/requests/sessions.py", line 585, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/adapters.py", line 477, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:720)
Traceback (most recent call last):
File "/usr/lib64/python3.5/doctest.py", line 2190, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.signal.tf_misfit.plot_tfr
File "/usr/lib64/python3.5/site-packages/obspy/signal/tf_misfit.py", line 1397, in plot_tfr
----------------------------------------------------------------------
File "/usr/lib64/python3.5/site-packages/obspy/signal/tf_misfit.py", line 1438, in obspy.signal.tf_misfit.plot_tfr
Failed example:
tr = read("https://examples.obspy.org/a02i.2008.240.mseed")[0]
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 578, in urlopen
chunked=chunked)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 351, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 814, in _validate_conn
conn.connect()
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connection.py", line 289, in connect
ssl_version=resolved_ssl_version)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/util/ssl_.py", line 308, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib64/python3.5/ssl.py", line 385, in wrap_socket
_context=self)
File "/usr/lib64/python3.5/ssl.py", line 760, in __init__
self.do_handshake()
File "/usr/lib64/python3.5/ssl.py", line 996, in do_handshake
self._sslobj.do_handshake()
File "/usr/lib64/python3.5/ssl.py", line 641, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:720)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/requests/adapters.py", line 403, in send
timeout=timeout
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 604, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:720)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib64/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.signal.tf_misfit.plot_tfr[1]>", line 1, in <module>
tr = read("https://examples.obspy.org/a02i.2008.240.mseed")[0]
File "<decorator-gen-43>", line 2, in read
File "/usr/lib64/python3.5/site-packages/obspy/core/util/decorator.py", line 298, in _map_example_filename
return func(*args, **kwargs)
File "/usr/lib64/python3.5/site-packages/obspy/core/stream.py", line 224, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/usr/lib64/python3.5/site-packages/obspy/core/util/base.py", line 597, in download_to_file
r = requests.get(url, stream=True)
File "/usr/lib/python3.5/site-packages/requests/api.py", line 71, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/api.py", line 57, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/sessions.py", line 475, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.5/site-packages/requests/sessions.py", line 585, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/adapters.py", line 477, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:720)

Skipped Tests (26)

Submodule Test Skip Message
taup test_p_iasp91_geo_manual (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_pierce_p_iasp91_geo (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_single_path_geo_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
io.wav test_rescale_on_write (obspy.io.wav.tests.test_core.CoreTestCase) needs a recent NumPy version
io.shapefile test_write_catalog_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_catalog_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
geodetics test_gps_2_dist_azimuth_with_geographiclib (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
geodetics test_issue_375 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_use_obspy_deprecation_warning (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_future_imports_in_every_file (obspy.core.tests.test_code_formatting.FutureUsageTestCase) No code formatting tests for release builds
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
io.nlloc test_read_nlloc_scatter_coordinate_conversion (obspy.io.nlloc.tests.test_util.NLLOCTestCase) pyproj not installed

Slowest Tests (20)

Runtime Test
95.457s test_trim_floating_point_with_padding_2 (obspy.core.tests.test_trace.TraceTestCase)
50.794s test_kennet_ak135_ttime_tables_p_shallow (obspy.taup.tests.test_tau.TauPyModelTestCase)
45.849s test_kennet_ak135_ttime_tables_p_deep (obspy.taup.tests.test_tau.TauPyModelTestCase)
45.188s test_response_plot (obspy.core.tests.test_response.ResponseTestCase)
41.622s test_kennet_ak135_ttime_tables_s_shallow (obspy.taup.tests.test_tau.TauPyModelTestCase)
37.353s test_kennet_ak135_ttime_tables_s_deep (obspy.taup.tests.test_tau.TauPyModelTestCase)
31.837s test_spectrogram (obspy.core.tests.test_stream.StreamTestCase)
30.351s test_response_plot (obspy.core.tests.test_channel.ChannelTestCase)
28.442s test_kennet_ak135_ttime_tables_pkikp (obspy.taup.tests.test_tau.TauPyModelTestCase)
26.356s test_kennet_ak135_ttime_tables_pcp (obspy.taup.tests.test_tau.TauPyModelTestCase)
24.227s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
23.352s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
17.115s test_kennet_ak135_ttime_tables_scs (obspy.taup.tests.test_tau.TauPyModelTestCase)
12.495s test_kennet_ak135_ttime_tables_scp (obspy.taup.tests.test_tau.TauPyModelTestCase)
10.253s test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase)
10.172s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
9.180s test_plot_default_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
9.135s test_plot_colored_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
8.897s test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase)
8.876s test_plot_horizontal_section (obspy.imaging.tests.test_waveform.WaveformTestCase)

Chuck Norris Fact

Chuck Norris programs do not accept input.